| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Data Fields
SV_3DOF_B_BASIC Struct Reference

`#include <fusion_types.h>`

Collaboration diagram for SV_3DOF_B_BASIC:

## Data Fields
float | fLPPhi
float | fLPThe
float | fLPPsi
float | fLPRho
float | fLPChi
float | fLPR [3][3]
struct fquaternion | fLPq
float | fLPRVec [3]
float | fOmega [3]
int32 | systick
float | fR [3][3]
struct fquaternion | fq
float | fdeltat
float | flpf
int8 | resetflag

## Detailed Description

Definition at line 74 of file fusion_types.h.

## Field Documentation

float fdeltat

Definition at line 94 of file fusion_types.h.

Referenced by fInit_3DOF_B_BASIC(), and fRun_3DOF_B_BASIC().

float fLPChi

Definition at line 82 of file fusion_types.h.

Referenced by fRun_3DOF_B_BASIC().

float flpf

Definition at line 95 of file fusion_types.h.

Referenced by fInit_3DOF_B_BASIC(), and fRun_3DOF_B_BASIC().

float fLPPhi

Definition at line 78 of file fusion_types.h.

Referenced by fRun_3DOF_B_BASIC().

float fLPPsi

Definition at line 80 of file fusion_types.h.

Referenced by fRun_3DOF_B_BASIC().

struct fquaternion fLPq

Definition at line 85 of file fusion_types.h.

Referenced by fRun_3DOF_B_BASIC().

float fLPR[3][3]

Definition at line 84 of file fusion_types.h.

Referenced by fRun_3DOF_B_BASIC().

float fLPRho

Definition at line 81 of file fusion_types.h.

Referenced by fRun_3DOF_B_BASIC().

float fLPRVec[3]

Definition at line 86 of file fusion_types.h.

Referenced by fRun_3DOF_B_BASIC().

float fLPThe

Definition at line 79 of file fusion_types.h.

Referenced by fRun_3DOF_B_BASIC().

float fOmega[3]

Definition at line 88 of file fusion_types.h.

Referenced by fRun_3DOF_B_BASIC().

struct fquaternion fq

Definition at line 93 of file fusion_types.h.

Referenced by fRun_3DOF_B_BASIC().

float fR[3][3]

Definition at line 92 of file fusion_types.h.

Referenced by fRun_3DOF_B_BASIC().

int8 resetflag

Definition at line 96 of file fusion_types.h.

Referenced by fInit_3DOF_B_BASIC(), fRun_3DOF_B_BASIC(), and Fusion_Init().

int32 systick

Definition at line 90 of file fusion_types.h.

Referenced by Fusion_Run().

The documentation for this struct was generated from the following file:

- SensorFusion/fusion_types.h

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.